<?php
/*
All source code copyright and proprietary Melonfire, 2005. All content, brand names and trademarks copyright and proprietary Melonfire, 2005. All rights reserved. Copyright infringement is a violation of law.

This source code is provided with NO WARRANTY WHATSOEVER. It is produced and meant for illustrative purposes only, and is NOT recommended for use in production environments. 

If you intend to use this source code for anything other than personal, non-commercial use on a single PC, you MUST contact webmaster@melonfire.com for permission and licensing terms.

Read more articles like this one at http://www.melonfire.com/community/columns/trog/ 
*/
?>
<?php
// include configuration file
include('config.php');

// open database file
$handle = sqlite_open($db) or die ('ERROR: Unable to open database!');

// generate and execute query
$query = "SELECT id, title, url, count FROM rss";
$result = sqlite_query($handle, $query) or die ("ERROR: $query. " . sqlite_error_string(sqlite_last_error($handle)));

// if records present
if (sqlite_num_rows($result) > 0)
{
    // iterate through resultset
	// fetch and parse feed 
	while($row = sqlite_fetch_object($result))
	{
		$xml = simplexml_load_file($row->url);
		echo "<h4>$row->title</h4>";
		// print descriptions
		for ($x=0; $x<$row->count; $x++)
		{
			// for RSS 0.91
			if (isset($xml->channel->item))
			{
				$item = $xml->channel->item[$x];
			}
			// for RSS 1.0
			else if (isset($xml->item))
			{
				$item = $xml->item[$x];
			}
			echo "<a href=\"$item->link\">$item->title</a><br />$item->description<p />";
		}
		echo "<hr />";

		// reset variables
		unset($xml);
		unset($item);
	}
}
// if no records present
// display message
else
{
?>
    <font size="-1">No feeds currently configured</font>
<?php
}

// close connection
sqlite_close($handle);
?>